Skip to content

UPnP (Template) ​

2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getUpnpSettingTemplateGETGet UPnP template setting
updateUpnpSettingTemplatePUTModify UPnP template setting

getUpnpSettingTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/upnp

Get UPnP template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
json
// omada_call_operation
{
  "operationId": "getUpnpSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get UPnP template setting
The interface requires one of the permissions:
Global Site Template Manager View Only

updateUpnpSettingTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/upnp

Modify UPnP template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID

Request body — application/json (required) — schema UpnpSettingOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesWhether to enable UPnP
wanPortIdsarray<string>noThis field represents WAN Port ID, WAN Port ID can be obtained from "Get internet basic info" interface.
networkIdsarray<string>noThis field represents LAN Network ID. LAN Network ID can be obtained from "Get all "single"/"multi" interface lan network" interface.
supportByDsLiteAndMapEbooleannoWhether this feature is supported for the DS-Lite or Map-E WAN connection types.
json
// omada_call_operation
{
  "operationId": "updateUpnpSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify UPnP template setting
The interface requires one of the permissions:
Global Site Template Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.